org.eclipse.incquery.runtime.rete.single

## Class TrimmerNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode
    - - org.eclipse.incquery.runtime.rete.single.SingleInputNode
      - - org.eclipse.incquery.runtime.rete.single.TransformerNode
        - - org.eclipse.incquery.runtime.rete.single.TrimmerNode

- All Implemented Interfaces:
    Node, Receiver, Supplier, Tunnel

      public class TrimmerNode
      extends TransformerNode

  Trims the matchings as specified by a mask.
  Author:
    Gabor Bergmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrimmerNode(ReteContainer reteContainer)`
    `TrimmerNode(ReteContainer reteContainer, TupleMask mask)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TupleMask` | `getMask()`
    `void` | `setMask(TupleMask mask)`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.single.TransformerNode

      `pullInto, update`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.single.SingleInputNode

      `appendParent, assignTraceInfo, getParents, propagatePullInto, removeParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### TrimmerNode

          public TrimmerNode(ReteContainer reteContainer,
                             TupleMask mask)

      Parameters:
        `reteContainer` -
        `mask` - The mask used to trim substitutions.

    - #### TrimmerNode

          public TrimmerNode(ReteContainer reteContainer)

  - ### Method Detail

    - #### getMask

          public TupleMask getMask()

      Returns:
        the mask

    - #### setMask

          public void setMask(TupleMask mask)

      Parameters:
        `mask` - the mask to set